PHP gnupg - configure: error - Please reinstall the gpgme distribution

Материал из Wiki - Iphoster - the best ever hosting and support. 2005 - 2023
Перейти к:навигация, поиск

Доступная цена

PHP gnupg - configure: error - Please reinstall the gpgme distribution

При установке php-gnupg через pecl возникла ошибка:

checking for gawk... gawk
checking for gnupg support... yes, shared
checking for gnupg files in default path... not found
configure: error: Please reinstall the gpgme distribution
ERROR: `/tmp/pear/temp/gnupg/configure --with-php-config=/opt/php74/bin/php-config' failed


Решение для CentOS 7 - доустановить пакет gpgme-devel:

# yum install gpgme-devel

Решение для Ubuntu/Debian - доустановить пакет libgpgme11-dev:

# apt-get install libgpgme11-dev

После этого повторить установку через менеджер пакетов php - pecl

# /opt/php74/bin/pecl install gnupg

Комментарии

Индекс цитирования